//Libraries
#include <Pixy2.h>//https://github.com/charmedlabs/pixy2/raw/master/releases/arduino/arduino_pixy2-1.0.3.zip

//Variables
Pixy2 pixy;

uint16_t area; 
uint16_t signature, x, y, width, height;
uint16_t areaRef;

void setup() {
  //Init Serial USB
  Serial.begin(9600);
  Serial.println(F("Initialize System"));
  //Init Pixy2
  pixy.init();

}

void loop() {
  testPixy();
}




void testPixy() { /* function testPixy */
  //// Get blocks from Pixy2
  // grab blocks!
  pixy.ccc.getBlocks();

  // If there are detect blocks, print them!
  if (pixy.ccc.numBlocks) {
    
      signature  = pixy.ccc.blocks[0].m_signature;
      x  = pixy.ccc.blocks[0].m_x;
      width  = pixy.ccc.blocks[0].m_width;
      height  = pixy.ccc.blocks[0].m_height;

      area = height * width;


      
    //Serial.print("Detected ");
    //Serial.println(pixy.ccc.numBlocks);
    for (int i = 0; i < pixy.ccc.numBlocks; i++) {



      Serial.print("Current area: ");
      Serial.println(area);

      Serial.print("Current height: ");
      Serial.println(height);

      Serial.print("Current width: ");
      Serial.println(width);

      Serial.println("");



      if(area > 30000){

        Serial.println("Big area, object is close !");
        
      }


      else{
        
        Serial.println("Small area, objet is far !");

      }

        
      
      delay(1000);
      

    }
  }
}
